package gdm 2.20.6-0ubuntu1 failed to install/upgrade: dependency problems - leaving unconfigured

Bug #231427 reported by Kevin Walton on 2008-05-17
2
Affects Status Importance Assigned to Milestone
ssl-cert (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gdm

System froze during previous upgrade of a number of packages. dpkg.log of that upgrade:

2008-05-17 09:04:48 status half-configured openssl-blacklist 0.1-0ubuntu0.8.04.1
2008-05-17 09:04:49 status unpacked openssl-blacklist 0.1-0ubuntu0.8.04.1
2008-05-17 09:04:49 status half-installed openssl-blacklist 0.1-0ubuntu0.8.04.1
2008-05-17 09:04:50 status half-installed openssl-blacklist 0.1-0ubuntu0.8.04.1
2008-05-17 09:04:50 status unpacked openssl-blacklist 0.1-0ubuntu0.8.04.2
2008-05-17 09:04:50 status unpacked openssl-blacklist 0.1-0ubuntu0.8.04.2
2008-05-17 09:04:50 upgrade friendly-recovery 0.1 0.1.2
2008-05-17 09:04:50 status half-configured friendly-recovery 0.1
2008-05-17 09:04:50 status unpacked friendly-recovery 0.1
2008-05-17 09:04:50 status half-installed friendly-recovery 0.1
2008-05-17 09:04:50 status half-installed friendly-recovery 0.1
2008-05-17 09:04:50 status unpacked friendly-recovery 0.1.2
2008-05-17 09:04:50 status unpacked friendly-recovery 0.1.2
2008-05-17 09:04:51 upgrade openssh-server 1:4.7p1-8ubuntu1.1 1:4.7p1-8ubuntu1.2
2008-05-17 09:04:51 status half-configured openssh-server 1:4.7p1-8ubuntu1.1
2008-05-17 09:04:51 status unpacked openssh-server 1:4.7p1-8ubuntu1.1
2008-05-17 09:04:51 status half-installed openssh-server 1:4.7p1-8ubuntu1.1
2008-05-17 09:09:12 startup packages configure
2008-05-17 09:09:12 configure openssl-blacklist 0.1-0ubuntu0.8.04.2 0.1-0ubuntu0.8.04.1
2008-05-17 09:09:12 status unpacked openssl-blacklist 0.1-0ubuntu0.8.04.2
2008-05-17 09:09:12 status half-configured openssl-blacklist 0.1-0ubuntu0.8.04.2
2008-05-17 09:09:12 status installed openssl-blacklist 0.1-0ubuntu0.8.04.2
2008-05-17 09:09:12 configure ssl-cert 1.0.14-0ubuntu2.1 1.0.14-0ubuntu2.1
2008-05-17 09:09:12 status half-configured ssl-cert 1.0.14-0ubuntu2.1
2008-05-17 09:09:17 status installed ssl-cert 1.0.14-0ubuntu2.1
2008-05-17 09:09:17 configure libgtk2.0-common 2.12.9-3ubuntu4 2.12.9-3ubuntu3
2008-05-17 09:09:17 status unpacked libgtk2.0-common 2.12.9-3ubuntu4
2008-05-17 09:09:17 status half-configured libgtk2.0-common 2.12.9-3ubuntu4
2008-05-17 09:09:17 status installed libgtk2.0-common 2.12.9-3ubuntu4
2008-05-17 09:09:17 configure friendly-recovery 0.1.2 0.1
2008-05-17 09:09:17 status unpacked friendly-recovery 0.1.2
2008-05-17 09:09:17 status half-configured friendly-recovery 0.1.2
2008-05-17 09:09:17 status installed friendly-recovery 0.1.2
2008-05-17 09:09:17 configure openssh-client 1:4.7p1-8ubuntu1.2 1:4.7p1-8ubuntu1.1
2008-05-17 09:09:17 status unpacked openssh-client 1:4.7p1-8ubuntu1.2
2008-05-17 09:09:17 status half-configured openssh-client 1:4.7p1-8ubuntu1.2
2008-05-17 09:09:17 configure libglib2.0-0 2.16.3-1ubuntu1 2.16.3-1
2008-05-17 09:09:17 status unpacked libglib2.0-0 2.16.3-1ubuntu1
2008-05-17 09:09:17 status half-configured libglib2.0-0 2.16.3-1ubuntu1

If I tried again following this freeze, dpkg.log would contain these additions:
2008-05-17 09:31:25 status half-configured openssh-client 1:4.7p1-8ubuntu1.2
2008-05-17 09:31:25 configure libglib2.0-0 2.16.3-1ubuntu1 2.16.3-1
2008-05-17 09:31:25 status half-configured libglib2.0-0 2.16.3-1ubuntu1
2008-05-17 09:31:43 startup packages configure
2008-05-17 09:31:43 configure openssh-client 1:4.7p1-8ubuntu1.2 1:4.7p1-8ubuntu1.1.

If I try reinstallation of openssh-client in Synaptic, I get the following:
E: openssh-client: subprocess post-installation script returned error exit status 2
E: libglib2.0-0: subprocess post-installation script returned error exit status 2
E: libgtk2.0-0: dependency problems - leaving unconfigured
E: gksu: dependency problems - leaving unconfigured
E: gdm: dependency problems - leaving unconfigured
E: gtk2-engines-pixbuf: dependency problems - leaving unconfigured
E: libglib2.0-cil: dependency problems - leaving unconfigured
E: libgtk2.0-bin: dependency problems - leaving unconfigured
E: libnautilus-extension1: dependency problems - leaving unconfigured
E: libtotem-plparser10: dependency problems - leaving unconfigured
E: nautilus: dependency problems - leaving unconfigured
E: openssh-server: dependency problems - leaving unconfigured
E: ssh: dependency problems - leaving unconfigured
E: ssh-askpass-gnome: dependency problems - leaving unconfigured

If I try "sudo dpkg-reconfigure openssh-client", I get
/usr/sbin/dpkg-reconfigure: openssh-client is broken or not fully installed

I then tried something I saw on the forums:
sudo apt-get clean
sudo apt-get install -f

At this time (not sure if it was related), I got the system crash indication.

Further info:
Release: 8.04
Processor: Athlon 64 X2 3800+

kevin@marzipan:/var/log$ sudo apt-cache policy openssh-client
openssh-client:
  Installed: 1:4.7p1-8ubuntu1.2
  Candidate: 1:4.7p1-8ubuntu1.2
  Version table:
 *** 1:4.7p1-8ubuntu1.2 0
        500 http://ca.archive.ubuntu.com hardy-updates/main Packages
        500 http://security.ubuntu.com hardy-security/main Packages
        500 http://archive.ubuntu.com hardy-updates/main Packages
        100 /var/lib/dpkg/status
     1:4.7p1-8ubuntu1 0
        500 http://ca.archive.ubuntu.com hardy/main Packages

ProblemType: Package
Architecture: amd64
Date: Sat May 17 09:26:07 2008
DistroRelease: Ubuntu 8.04
ErrorMessage: dependency problems - leaving unconfigured
NonfreeKernelModules: fglrx
Package: gdm 2.20.6-0ubuntu1
PackageArchitecture: amd64
SourcePackage: gdm
Title: package gdm 2.20.6-0ubuntu1 failed to install/upgrade: dependency problems - leaving unconfigured
Uname: Linux 2.6.24-16-generic x86_64

Kevin Walton (kezington) wrote :
Sebastien Bacher (seb128) wrote :

the error is a ssl-cert one

ssl-cert fails to install with this error:

Setting up ssl-cert (1.0.14-0ubuntu2.1) ...
/usr/share/debconf/confmodule: line 42: printf: write error: Broken pipe
dpkg: error processing ssl-cert (--configure):
 subprocess post-installation script returned error exit status 1

Changed in ssl-cert:
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers